curl -X POST https://api.linkedcamp.com/webhooks \
-H "token: YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "New Connection Webhook",
"callbackUrl": "https://your-server.com/webhook/linkedcamp",
"event": "ACCEPTS_REQUEST"
}'
import requests
response = requests.post(
"https://api.linkedcamp.com/webhooks",
headers={"token": "YOUR_API_TOKEN"},
json={
"title": "New Connection Webhook",
"callbackUrl": "https://your-server.com/webhook/linkedcamp",
"event": "ACCEPTS_REQUEST",
},
)
print(response.json())
const response = await fetch("https://api.linkedcamp.com/webhooks", {
method: "POST",
headers: {
"token": "YOUR_API_TOKEN",
"Content-Type": "application/json",
},
body: JSON.stringify({
title: "New Connection Webhook",
callbackUrl: "https://your-server.com/webhook/linkedcamp",
event: "ACCEPTS_REQUEST",
}),
});
const data = await response.json();
console.log(data);
{
"success": true,
"message": "Webhook added successfully!"
}
{
"success": false,
"message": "Invalid event!"
}
Webhooks
Create Webhook
Create a webhook to receive real-time notifications when specific campaign events occur.
POST
/
webhooks
curl -X POST https://api.linkedcamp.com/webhooks \
-H "token: YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "New Connection Webhook",
"callbackUrl": "https://your-server.com/webhook/linkedcamp",
"event": "ACCEPTS_REQUEST"
}'
import requests
response = requests.post(
"https://api.linkedcamp.com/webhooks",
headers={"token": "YOUR_API_TOKEN"},
json={
"title": "New Connection Webhook",
"callbackUrl": "https://your-server.com/webhook/linkedcamp",
"event": "ACCEPTS_REQUEST",
},
)
print(response.json())
const response = await fetch("https://api.linkedcamp.com/webhooks", {
method: "POST",
headers: {
"token": "YOUR_API_TOKEN",
"Content-Type": "application/json",
},
body: JSON.stringify({
title: "New Connection Webhook",
callbackUrl: "https://your-server.com/webhook/linkedcamp",
event: "ACCEPTS_REQUEST",
}),
});
const data = await response.json();
console.log(data);
{
"success": true,
"message": "Webhook added successfully!"
}
{
"success": false,
"message": "Invalid event!"
}
Headers
string
required
Your LinkedCamp API token.
Body Parameters
string
required
A descriptive name for the webhook.
string
required
The URL that will receive webhook POST requests when the event occurs.
string
required
The event type that triggers the webhook.Available values:
| Event | Description |
|---|---|
CONNECT_INVITED | A connection request was sent |
ACCEPTS_REQUEST | A connection request was accepted |
REPLY_DETECTED | A reply was received from a prospect |
EMAIL_SENT | An email was sent |
OPENED | An email was opened |
BOUNCED | An email bounced |
CLICKED | A link in an email was clicked |
UNSUBSCRIBED | A prospect unsubscribed |
Response
boolean
Whether the request was successful.
string
A human-readable result message.
curl -X POST https://api.linkedcamp.com/webhooks \
-H "token: YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "New Connection Webhook",
"callbackUrl": "https://your-server.com/webhook/linkedcamp",
"event": "ACCEPTS_REQUEST"
}'
import requests
response = requests.post(
"https://api.linkedcamp.com/webhooks",
headers={"token": "YOUR_API_TOKEN"},
json={
"title": "New Connection Webhook",
"callbackUrl": "https://your-server.com/webhook/linkedcamp",
"event": "ACCEPTS_REQUEST",
},
)
print(response.json())
const response = await fetch("https://api.linkedcamp.com/webhooks", {
method: "POST",
headers: {
"token": "YOUR_API_TOKEN",
"Content-Type": "application/json",
},
body: JSON.stringify({
title: "New Connection Webhook",
callbackUrl: "https://your-server.com/webhook/linkedcamp",
event: "ACCEPTS_REQUEST",
}),
});
const data = await response.json();
console.log(data);
{
"success": true,
"message": "Webhook added successfully!"
}
{
"success": false,
"message": "Invalid event!"
}
⌘I
